/**
 * link-local-dependencies
 * Install local lerna dependencies
 */
import { LernaPackage } from '@typescript-tools/io-ts';
import { PackageDiscoveryError } from '@typescript-tools/lerna-packages';
import { PackageManifestsError } from '@typescript-tools/package-manifests';
import * as TE from 'fp-ts/TaskEither';
export declare type LinkLocalDependenciesError = PackageDiscoveryError | PackageManifestsError | {
    type: 'unknown package';
    package: string;
} | {
    type: 'unable to decode package manifest';
    error: string;
} | {
    type: 'unable to create directory';
    path: string;
    error: Error;
} | {
    type: 'unable to create symlink';
    target: string;
    path: string;
    error: Error;
};
export declare const linkLocalDependenciesIn: (packages: Map<string, LernaPackage>) => (packagePathOrName: string) => TE.TaskEither<LinkLocalDependenciesError, void>;
export declare const linkLocalDependencies: (packagePathOrName: string) => TE.TaskEither<LinkLocalDependenciesError, void>;
export declare const linkAllLocalDependencies: (packagesMap: Map<string, LernaPackage>, packagesList: LernaPackage[]) => TE.TaskEither<LinkLocalDependenciesError, void>;
//# sourceMappingURL=index.d.ts.map